X2Go Bug report logs - #1266
Disable BIG-REQUESTS extension via x2goagent.options

version graph

Package: x2goserver-x2goagent; Maintainer for x2goserver-x2goagent is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver-x2goagent is src:x2goserver.

Reported by: mike.gabriel@das-netzwerkteam.de

Date: Tue, 27 Feb 2018 21:20:02 UTC

Severity: normal

Tags: pending

Found in version 4.1.0.0

Fixed in version 4.1.0.1

Done: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#1266; Package x2goserver-x2goagent. (Tue, 27 Feb 2018 21:20:02 GMT) (full text, mbox, link).


Acknowledgement sent to mike.gabriel@das-netzwerkteam.de:
New Bug report received and forwarded. Copy sent to owner@bugs.x2go.org. (Tue, 27 Feb 2018 21:20:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: mike.gabriel@das-netzwerkteam.de
To: submit@bugs.x2go.org
Subject: Disable BIG-REQUESTS extension via x2goagent.options
Date: Tue, 27 Feb 2018 21:18:24 +0000
Package: x2goserver-x2goagent
Version: 4.1.0.0

We really need to disable the BIG-REQUESTS extension for x2goagent, as it really is broken currently in nxcomp.

Mike

-- 
Sent from my Fairphone 2 (running Sailfish OS)

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1266; Package x2goserver-x2goagent. (Wed, 28 Feb 2018 11:10:02 GMT) (full text, mbox, link).


Acknowledgement sent to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 28 Feb 2018 11:10:02 GMT) (full text, mbox, link).


Message #10 received at 1266@bugs.x2go.org (full text, mbox, reply):

From: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
To: mike gabriel <mike.gabriel@das-netzwerkteam.de>, 1266@bugs.x2go.org
Cc: submit@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1266: Disable BIG-REQUESTS extension via x2goagent.options
Date: Wed, 28 Feb 2018 11:58:31 +0100 (CET)
+1

It would also make some applications work such as ATOM editor or Visual Studio Code (and most probably more electron based applications).
At least until BIG-REQUESTS works.


Regards,
Walid Moghrabi

TRAVAUX.COM
BAT I - PARC CEZANNE 2 290 AVENUE GALILEE - CS 80403
13591 AIX EN PROVENCE CEDEX 3

----- Mail original ----- 

De: "mike gabriel" <mike.gabriel@das-netzwerkteam.de> 
À: submit@bugs.x2go.org 
Envoyé: Mardi 27 Février 2018 22:18:24 
Objet: [X2Go-Dev] Bug#1266: Disable BIG-REQUESTS extension via x2goagent.options 

Package: x2goserver-x2goagent 
Version: 4.1.0.0 

We really need to disable the BIG-REQUESTS extension for x2goagent, as it really is broken currently in nxcomp. 

Mike 

-- 
Sent from my Fairphone 2 (running Sailfish OS) 
_______________________________________________ 
x2go-dev mailing list 
x2go-dev@lists.x2go.org 
https://lists.x2go.org/listinfo/x2go-dev
---
DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1266; Package x2goserver-x2goagent. (Wed, 28 Feb 2018 12:05:01 GMT) (full text, mbox, link).


Acknowledgement sent to uli42@gmx.de:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 28 Feb 2018 12:05:01 GMT) (full text, mbox, link).


Message #15 received at 1266@bugs.x2go.org (full text, mbox, reply):

From: Ulrich Sibiller <ulrich.sibiller@gmail.com>
To: Walid MOGHRABI <w.moghrabi@servicemagic.eu>, 1266@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1266: Bug#1266: Disable BIG-REQUESTS extension via x2goagent.options
Date: Wed, 28 Feb 2018 13:00:16 +0100
[Message part 1 (text/plain, inline)]
+1

Am 28.02.2018 12:11 schrieb "Walid MOGHRABI" <w.moghrabi@servicemagic.eu>:

+1

It would also make some applications work such as ATOM editor or Visual
Studio Code (and most probably more electron based applications).
At least until BIG-REQUESTS works.


Regards,
Walid Moghrabi

TRAVAUX.COM
BAT I - PARC CEZANNE 2 290 AVENUE GALILEE - CS 80403
13591 AIX EN PROVENCE CEDEX 3

----- Mail original -----

De: "mike gabriel" <mike.gabriel@das-netzwerkteam.de>
À: submit@bugs.x2go.org
Envoyé: Mardi 27 Février 2018 22:18:24
Objet: [X2Go-Dev] Bug#1266: Disable BIG-REQUESTS extension via
x2goagent.options

Package: x2goserver-x2goagent
Version: 4.1.0.0

We really need to disable the BIG-REQUESTS extension for x2goagent, as it
really is broken currently in nxcomp.

Mike

--
Sent from my Fairphone 2 (running Sailfish OS)
_______________________________________________
x2go-dev mailing list
x2go-dev@lists.x2go.org
https://lists.x2go.org/listinfo/x2go-dev
---
DISCLAIMER: This e-mail is private and confidential and may contain
proprietary or legally privileged information. It is for the intended
recipient only. If you have received this email in error, please notify the
author by replying to it and then destroy it. If you are not the intended
recipient you must not use, disclose, distribute, copy, print or rely on
this e-mail or any attachment. Thank you
_______________________________________________
x2go-dev mailing list
x2go-dev@lists.x2go.org
https://lists.x2go.org/listinfo/x2go-dev
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1266; Package x2goserver-x2goagent. (Fri, 02 Mar 2018 22:50:03 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 02 Mar 2018 22:50:03 GMT) (full text, mbox, link).


Message #20 received at 1266@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: 1266-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1266@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Fri, 2 Mar 2018 23:48:43 +0100 (CET)
tag #1266 pending
fixed #1266 4.1.0.1
thanks

Hello,

X2Go issue #1266 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=dedc6aa

The issue will most likely be fixed in src:x2goserver (4.1.0.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit dedc6aa4baeb7035079d14c9eae790d9dca6809e
Author: Mihai Moldovan <ionic@ionic.de>
Date:   Fri Mar 2 23:45:30 2018 +0100

    x2goserver-x2goagent/etc/x2goagent.options: disable BIG-REQUESTS; leads to a lot of weird crashes and is currently not implemented correctly in nxagent. Fixes: #1266.

diff --git a/debian/changelog b/debian/changelog
index a8deb76..419601a 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -111,6 +111,9 @@ x2goserver (4.1.0.1-0x2go1) UNRELEASED; urgency=medium
     - X2Go/Server/DB.pm: don't use X2Go::Server::DB::MySQL for now.
     - X2Go/Server/DB.pm: comment out calls to X2Go::Server::DB::MySQL::*.
     - x2goserver-x2goagent/etc/x2goagent.options: typo fix in comment only.
+    - x2goserver-x2goagent/etc/x2goagent.options: disable BIG-REQUESTS; leads
+      to a lot of weird crashes and is currently not implemented correctly in
+      nxagent. Fixes: #1266.
   * debian/{control,compat}:
     + Bump DH compat level to 9.
   * debian/:


Added tag(s) pending. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Fri, 02 Mar 2018 22:50:04 GMT) (full text, mbox, link).


Marked as fixed in versions 4.1.0.1. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Fri, 02 Mar 2018 22:50:04 GMT) (full text, mbox, link).


Message sent on to mike.gabriel@das-netzwerkteam.de:
Bug#1266. (Fri, 02 Mar 2018 22:50:05 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1266; Package x2goserver-x2goagent. (Fri, 27 Jul 2018 04:50:04 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 27 Jul 2018 04:50:05 GMT) (full text, mbox, link).


Message #32 received at 1266@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>
To: 1266-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1266@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as closed
Date: Fri, 27 Jul 2018 06:48:42 +0200 (CEST)
close #1266
thanks

Hello,

we are very hopeful that X2Go issue #1266 reported by you
has been resolved in the new release (4.1.0.1) of the
X2Go source project »src:x2goserver«.

You can view the complete changelog entry of src:x2goserver (4.1.0.1)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goserver.

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=885f64e9b7e41c497387b2703338aee9a82878b6;hp=6b5adafb52a4ee55d894fe878ab7787d6ee429cc

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goserver.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goserver
Version: 4.1.0.1-0x2go1
Status: RELEASE
Date: Fri, 27 Jul 2018 06:46:00 +0200
Fixes: 1266
Changes:
 x2goserver (4.1.0.1-0x2go1) RELEASED; urgency=medium
 .
   [ Mike Gabriel ]
   * New upstream release (4.1.0.1):
     - x2goserver/man/man8/x2gostartagent.8: Fix grammar flaw reported by
       Debian's lintian tool.
     - x2goserver/man/man8/x2goresume-session.8: Fix grammar flaw reported by
       Debian's lintian tool.
     - x2goserver-x2goagent/bin/x2goagent: Fix license version (GPL-2+ not 3+).
       This script however is obsolete and should be replaced by a symlink to
       $BINDIR/nxagent.
     - Makefile.docupload: Switch license to GPL-2+.
     - x2gocheckport: chmod a+x.
     - x2goserver*/: license header hygene. List all copyright holder above the
       short form license. This prevents the licensecheck utility from being
       fooled.
     - X2Go: more license header hygene.
     - libx2go-server-db-perl: more license header hygene.
     - X2Go Agent XPM: Rename from x2go.xpm to x2goagent.xpm.
     - X2Go XPM icon: white background, not transparent.
   * debian/control:
     + Change D (x2goserver-xsession) on perl-modules to perl. The existence of
       the perl-modules package is an implementation detail of the Debian Perl
       packaging.
     + Multiarch hinter script recommends annotating perl dependency with :any.
     + Bump Standards-Version: to 4.1.4. No changes needed.
   * debian/copyright:
     + Update copyright.in reference template.
   * debian/*: Process with wrap-and-sort -a -s -t -k -b.
   * debian/x2goserver-printing.postinst:
     + Make sure /var/spool/x2goprint is always created.
   * debian/rules:
     + Add dh-missing --fail-missing override.
   * debian/*.{install,manpages}:
     + Utilize install target rather than picking all files from the source
       tree ourselves.
   * debian/:
     + Drop inert file (due to wrong file suffix): debian/x2goserver.link.
     + Drop x2goserver-xsession.links. Symlinking provided by main Makefile's
       install target.
   * debian/x2goserver.postinst:
     + When testing for existence of /etc/x2go/applications, also consider it
       being a dangling symlink (dangling symlinks are not caught by 'test -e',
       but need a 'test -L'. Thanks to Andreas Beckmann for helping with this.
       (Fixes: DBTS#904515).
       Backported from a Debian patch.
   * debian/x2goserver-printing.postrm:
     + Remove x2goprint's spool dir on purgal.
   * debian/x2goserver-common.postrm:
     + Properly purge /etc/x2go and /var/lib/x2go.
 .
   [ Mihai Moldovan ]
   * New upstream version (4.1.0.1):
     - Makefile.PL: adjust embedded version number.
     - x2goserver/lib/x2gocheckport: remove executable flag. This file is not
       meant to be executed directly, but rather sourced by other X2Go shell
       scripts.
     - x2goserver-x2goagent/Makefile: do not stage rgb file any longer.
       Obsoleted, is now hardcoded into nxagent directly.
     - x2goserver-x2goagent/etc: remove rgb file.
     - x2goserver-fmbindings/Makefile: install
       share/mime/packages/sshfs-x2go.xml as a plain file, not an executable.
     - x2goserver-x2goagent/share/x2go/x2gofeature.d/x2goserver-x2goagent*:
       make executable.
     - x2goserver-x2goagent/Makefile: replace ${PREFIX}/bin/x2goagent wrapper
       script with a symlink to the ... x2goagent symlink in the NXLIBDIR.
     - x2goserver-x2goagent/bin: remove x2goagent wrapper script. Unneeded and
       actually harmful nowadays.
     - x2goserver-x2goagent/bin: add .keep file to keep this directory around.
     - x2goserver-x2goagent/Makefile: it's $(NXLIBDIR), not $(NX_LIBDIR).
     - x2goserver-x2goagent/Makefile: add missing bin component in symlink
       target for ${PREFIX}/bin/x2goagent.
     - x2goserver-common/Makefile: stage tmpfiles.d config file into
       ${PREFIX}/lib/. File should not be modified by users.
     - x2goserver-common/: move etc/tmpfiles.d to lib/tmpfiles.d.
     - x2goserver/sbin/x2godbadmin: whitespace only.
     - x2goserver/sbin/x2godbadmin: use global variable instead of hardcoded
       string (since the global variable is used latter on anyway).
     - X2Go/Server/DB.pm: add high-level MySQL/MariaDB support. References the
       X2Go::Server::DB::MySQL module (and functions/subroutines in there)
       which currently does not yet exist.
     - x2goserver/sbin/x2godbadmin: wrap PostgreSQL code in own block, should
       not have any functional impact.
     - {X2Go/Server/DB/PostgreSQL.pm,x2goserver/sbin/x2godbadmin}: move
       /etc/x2go/x2gosql/passwords/x2goadmin or ${HOME}/.x2go/sqlpass to
       .../x2gopgadmin and .../pgsqlpass respectively. Move is done at
       run-time, so no user interaction should be required. It requires one
       database operation to be carried out first in order to trigger the move,
       but x2godbadmin does not actually use that account information (only
       generates it), so we should be in the clear.
     - x2goserver/sbin/x2godbadmin: generate more secure user-level database
       passwords.
     - x2goserver/sbin/x2godbadmin: split out subroutines into main namespace,
       call them generically with correct parameters from specialized
       namespace.
     - x2goserver/sbin/x2godbadmin: remove potentially confusing whitespace.
     - x2goserver/sbin/x2godbadmin: fix up other try blocks; whitespace only.
     - x2goserver/sbin/x2godbadmin: implement MySQL support, based on Walid
       Moghrabis changes, but slightly amended. Caveat: INCOMPATIBLE DATABASE
       SCHEMA!
     - x2goserver/sbin/x2godbadmin: update copyright header.
     - UNINSTALL: add reference to remove mysqladmin password file if
       uninstalling the tarball manually.
     - x2goserver/sbin/x2godbadmin: no need to specify or use database for
       list_users operation.
     - X2Go/Server/DB/PostgreSQL.pm: fix syntax error.
     - x2goserver/sbin/x2godbadmin: don't use prototypes when functions
       actually take arguments.
     - X2Go/Server/DB: add new file MySQL.pm, implementing the MySQL session
       storage backend. Based on original code by Walid Moghrabi, but modified.
       Will fail to execute correctly, so do not use yet.
     - X2Go/Server/DB/MySQL.pm: copy over some (modified) functions and use
       them for validating session IDs, check user names at some places and the
       like, which will come in handy at a later point.
     - x2goserver/sbin/x2godbadmin: whitespace-only change.
     - X2Go/Server/DB/MySQL.pm: move into new X2Go_in_progress_do_not_use
       top-level directory.
     - x2goserver/sbin/x2godbadmin: error out when encountering MySQL server
       config for now.
     - X2Go/Server/DB.pm: error out when encountering MySQL server config for
       now.
     - x2goserver-common/etc/x2gosql/sql: add example MySQL section and add to
       "supported" backends list.
     - x2goserver-common/etc/x2gosql/sql: reformat PostgreSQL comments.
     - X2Go/Server/DB.pm: don't use X2Go::Server::DB::MySQL for now.
     - X2Go/Server/DB.pm: comment out calls to X2Go::Server::DB::MySQL::*.
     - x2goserver-x2goagent/etc/x2goagent.options: typo fix in comment only.
     - x2goserver-x2goagent/etc/x2goagent.options: disable BIG-REQUESTS; leads
       to a lot of weird crashes and is currently not implemented correctly in
       nxagent. Fixes: #1266.
     - x2goserver/bin/x2gostartagent: fix calculation syntax errors, drop
       useless subshells, don't use -o operator in plain test calls.
     - x2goserver-printing/bin/x2goprint: work around atomicity problems with
       newer FUSE versions, create .ready file as .notready, move/copy to
       target file system and only then rename it in a hopefully atomic
       fashion.
     - *.{8,5}: pre-release date update.
   * debian/{control,compat}:
     + Bump DH compat level to 9.
   * debian/:
     + Rename config to x2goserver.config.
     + Remove obsolete x2goserver-{extensions,printing,xsession}.dirs files,
       should be correctly handled via the main Makefile and staging by
       *.install files.
     + Remove obsolete x2goserver-fmbindings.dirs file.
     + Rename x2goserver.dirs to x2goserver-common.dirs, moving /var/lib/x2go
       to the -common package.
     + New file x2goserver-printing.dirs: own /var/spool/x2goprint.
   * debian/x2goserver-x2goagent.install:
     + Do not install rgb file/symlink any longer.
   * x2goserver.spec:
     + Do not install rgb file/symlink any longer.
     + Bump nxagent requirement to 3.5.99.5+.
     + Remove stale symlinks check workaround now that we pull in nxagent >=
       3.5.99.0 by default.
     + Move references from etc/tmpfiles.d to %{_prefix}/lib/tmpfiles.d.
     + Depend upon perl(DBD::mysql) for MySQL/MariaDB support in perl DBD.
     + Comment out perl(DBD::mysql) dependency for now.
     + Backport dangling symlink check for /etc/x2go/applications.
     + Pull in GCC as a build dependency.
     + Mask out variables in comments to avoid build-time warning messages.
     + Work around build failure on Fedora Rawhide/29+ by pulling annobin in
       explicitly. Shouldn't be necessary, but the current architecture around
       redhat-rpm-config requires that.
   * debian/copyright.in:
     + Remove reference to rgb file.
     + Remove reference to x2goagent wrapper script.
     + Add .keep file in x2goserver-x2goagent/bin directory.
     + Change reference from x2goserver-common/etc/tmpfiles.d to
       x2goserver-common/lib/tmpfiles.d.
   * debian/x2goserver.dirs:
     + Remove etc/x2go/x2gosql references, already handled by
       x2goserver-common.
     + Remove all other obsolete entries that should be handled by the main
       Makefile and x2goserver.install staging.
   * debian/control:
     + Bump versioned dependency upon nxagent for x2goserver-x2goagent to the
       first version that hardcoded the RGB file into nxagent.
     + Pre-Depend on new enough dpkg for the dpkg-maintscript-helper to be
       available.
     + Change http to https links.
     + Pull in other changes from Debian downstream.
     + Depend upon libdbd-mysql-perl for MySQL/MariaDB support in perl DBD.
     + Deactivate libdbd-mysql-perl dependency for now, but keep as comment.
   * debian/x2goserver-x2goagent.{{pre,post}inst,postrm}:
     + Handle /etc/x2go/rgb conffile removal gracefully.
   * debian/x2goserver*{pre,post}*:
     + Rework scriptlets, use updated templates, add missing templates, more
       and better quoting, fix other misc. errors within the scripts.
   * debian/rules:
     + Enable hardening and automatic passing of *FLAGS.
   * debian/x2goserver-xsession.lintian-overrides:
     + Whitespace/EOL change only.
   * debian/*.manpages:
     + Prepend paths with debian/tmp/ in order to work around pre-compat-11
       levels not falling back to looking into debian/tmp/ for files.
   * debian/x2goserver.{install,manpages}:
     + Also install x2goumount_* symlinks.
   * debian/x2goserver-common.install:
     + Move etc/tmpfiles.d entry to usr/lib/tmpfiles.d.
   * debian/x2goserver-x2goagent.{{pre,post}inst,postrm}:
     + Handle /etc/tmpfiles.d/x2goserver.conf conffile (re-)move to
       /usr/lib/tmpfiles.d/ gracefully.
   * debian/libx2go-server-db-perl.post{inst,rm}:
     + Add support for mysqladmin password file.
   * debian/{libx2go-server-db-perl,x2goserver{,-common}}.postrm:
     + Do not try to run rmdir on /etc/x2go if it doesn't exist. Makes the
       scriptlet (and thus the purge operation) fail...
   * debian/*.{pre,post}*:
     + Rework scriptlets, use updated templates, add missing templates, more
       and better quoting, fix other misc. errors within the scripts.
   * debian/libx2go-server-db-perl.postrm:
     + Remove empty directory on purge if possible.
     + Only remove files that the package actually created.
   * debian/x2goserver-common.postrm:
     + Only remove files that the package actually owns
       (/etc/x2go/x2gosql/sql).


Marked Bug as done Request was from X2Go Release Manager X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Fri, 27 Jul 2018 04:50:06 GMT) (full text, mbox, link).


Notification sent to mike.gabriel@das-netzwerkteam.de:
Bug acknowledged by developer. (Fri, 27 Jul 2018 04:50:06 GMT) (full text, mbox, link).


Message sent on to mike.gabriel@das-netzwerkteam.de:
Bug#1266. (Fri, 27 Jul 2018 04:50:07 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 24 Aug 2018 05:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sun Oct 13 22:33:53 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.